Bug 1933173 - openshift-sdn/sdn DaemonSet should use maxUnavailable: 10%
Summary: openshift-sdn/sdn DaemonSet should use maxUnavailable: 10%
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: jamo luhrsen
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks: 1937306 2003800
TreeView+ depends on / blocked
 
Reported: 2021-02-25 20:55 UTC by W. Trevor King
Modified: 2021-09-13 18:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1933174 1933179 1933180 1937306 2003800 (view as bug list)
Environment:
Last Closed: 2021-07-27 22:48:26 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 995 0 None open Bug 1933173: Use 10% for sdn maxUnavailable for rolling update 2021-03-02 21:27:54 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:48:51 UTC

Description W. Trevor King 2021-02-25 20:55:29 UTC
It's currently maxUnavailable: 1, but we want maxUnavailable: 10%, so we scale better on clusters with large node-counts.  Checking a recent 4.8 CI release:

$ curl -s https://gcsweb-ci.apps.ci.l2s4.p1.openshiftapps.com/gcs/origin-ci-test/logs/release-openshift-origin-installer-e2e-gcp-4.8/1364411741282242560/artifacts/e2e-gcp/daemonsets.json | jq -r '.items[] | select(.spec.template.spec.nodeSelector["node-role.kubernetes.io/master"] != "" and .spec.updateStrategy.rollingUpdate.maxUnavailable != "10%") | .metadata.namespace + " " + .metadata.name + " " + (.spec.template.spec.nodeSelector | tostring) + " " + (.spec.updateStrategy | tostring)'
...
openshift-sdn sdn {"kubernetes.io/os":"linux"} {"rollingUpdate":{"maxUnavailable":1},"type":"RollingUpdate"}

Like bug 1933159, but different DaemonSet.

Comment 4 zhaozhanqi 2021-03-09 01:19:59 UTC
Verified this on 4.8.0-0.nightly-2021-03-08-184701

Comment 7 errata-xmlrpc 2021-07-27 22:48:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438

Comment 10 W. Trevor King 2021-09-09 04:57:30 UTC
This is not my component, so it's not my decision about whether or not to backport to 4.7.  Clearing my NEEDINFO.

Comment 11 jamo luhrsen 2021-09-09 17:57:10 UTC
from what I can tell this did not get cherry-picked down to 4.7. I can handle that if it's needed, but I'll wait until it's asked for.


Note You need to log in before you can comment on or make changes to this bug.